[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.Create

Constructor for the class instance.

## Declaration

Source position: maskedit.pp line 312

`public constructor TCustomMaskEdit.Create(`
`TheOwner: TComponent`
`); override;`

## Description

Create is the overridden constructor for the class instance. Create sets the default values for internal members and properties specific to TCustomMaskEdit. The value in SpaceChar is set to '_'.

Create calls the inherited constructor, and sets the value in the internal member used for the text in the edit control by calling the inherited RealGetText method.

## See also

TCustomEdit.RealGetText |  | Uses the TextHint display status when getting the value for Text.
TMaskEditTrimType |  | Controls how the value in a masked edit control is trimmed.